<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100101";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>ret('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
			////Arrastrando la Variable del Documento
				$NoDocSuEn=$_GET["NDocKp"] or $NoDocSuEn=$_POST["NDocKp"];
				$EtMasterEn=$_GET["EtMastKp"] or $EtMasterEn=$_POST["EtMastKp"];
				$ubic=$_GET["ubic"] or $ubic=$_POST["ubic"];
				$SkuAS=$_GET['sku'] or $SkuAS=$_POST['sku'];
				$ret=$_GET['ret'] or $ret=$_POST['ret'];
				$lote=$_GET['lote'] or $lote=$_POST['lote'];
				$lotep=$_GET['lotep'] or $lotep=$_POST['lotep'];
				
				//echo "<script>alert('documento:$NoDocSuEn ,etiqueta:$EtMasterEn ,sku:$SkuAS, ultima ubicación: $ubic,ret=$ret,lote: $lote,lotep: $lotep')</script>";
				

				$sqlIDR1 = mysql_query("select * from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
				if (mysql_numrows($sqlIDR1)>0)
				{
				$registroIDR1=mysql_fetch_array($sqlIDR1);
				$estcalidad=$registroIDR1["TIPO_SALIDA"];	
				}				
$res=false;
			$q="select tabla_prioridad.PRIORIDAD,tabla_pickingfijo.*,tabla_inventario.ID AS INVID,tabla_inventario.PIEZASXCAJA,tabla_inventario.CAJASXPALLET,(SELECT SUM(tabla_inventario.cantidad) FROM tabla_inventario WHERE SKU = tabla_pickingfijo.SKU AND tabla_inventario.UBICACION = tabla_pickingfijo.CLAVEUBICACION AND tabla_inventario.SKU = tabla_pickingfijo.SKU AND tabla_inventario.CVE_CUENTA = tabla_pickingfijo.CVE_CUENTA AND tabla_inventario.CVE_BODEGA = tabla_pickingfijo.CVE_BODEGA) AS CANTIDAD from tabla_pickingfijo inner join tabla_prioridad ON tabla_prioridad.UBICACION = tabla_pickingfijo.CLAVEUBICACION AND tabla_pickingfijo.CVE_CUENTA = tabla_prioridad.CVE_CUENTA AND tabla_pickingfijo.CVE_BODEGA = tabla_prioridad.CVE_BODEGA inner join tabla_inventario ON tabla_inventario.UBICACION = tabla_pickingfijo.CLAVEUBICACION AND tabla_pickingfijo.SKU = tabla_inventario.SKU AND tabla_pickingfijo.CVE_CUENTA = tabla_inventario.CVE_CUENTA AND tabla_pickingfijo.CVE_BODEGA = tabla_inventario.CVE_BODEGA WHERE tabla_pickingfijo.CLAVEUBICACION = '$ubic' AND tabla_pickingfijo.SKU='$SkuAS' AND tabla_pickingfijo.CVE_BODEGA='$CveBodCR1' AND tabla_pickingfijo.CVE_CUENTA='$CveCueCR1' GROUP BY CONCAT( tabla_pickingfijo.CLAVEUBICACION, tabla_pickingfijo.SKU ) ORDER BY tabla_pickingfijo.PRIORIDAD ASC";
$sqlCR1 = mysql_query($q);
			if (mysql_numrows($sqlCR1)==0){echo "<script>alert('No hay tareas de resurtido disponibles');</script>";}
			else{
				$res=true;
				}
			if($res){
			$tareas = array();
			$nt = 0;
			$sqlCR1 = mysql_query($q);
			while($pick = mysql_fetch_array($sqlCR1)){
			$cantp = floor($pick['MAXIMO']-$pick['CANTIDAD']);			
			$sm="SELECT * FROM tabla_inventario where ID!='$pick[INVID]' AND SKU='$pick[SKU]' AND CANTIDAD>0 AND EDO_CALIDAD='$estcalidad' AND CVE_BODEGA='$CveCueCR1' AND CVE_CUENTA='$CveCueCR1' AND TIPO_UBICACION!='PICKING' ORDER BY FIELD(TIPO_UBICACION,'STOCK','STAYING'),CANTIDAD DESC";
			$sl= mysql_query($sm);
			$msg="";
			$carga=0;
			if(mysql_num_rows($sl)>0){
				while($stock=mysql_fetch_array($sl)){
				$toma=0;
				$ncajas=0;
				$disponibles = $stock['CANTIDAD'];
				if($disponibles>=($cantp-$carga)){
					$toma=floor(($cantp-$carga)/$stock['PIEZASXCAJA'])*$stock['PIEZASXCAJA'];
					$ncajas=floor($toma/$stock['PIEZASXCAJA']);
					$carga+=$toma;
					if($pick['TIPO_RESURTIDO']=='Pieza'){$ncajas=$ncajas*$stock['PIEZASXCAJA'];}
					if($toma>0){$tareas[$nt]=array('ID_REG'=>$stock['ID'],'PRIORIDAD'=> $pick['PRIORIDAD'], 'SKU' => $pick['SKU'],'NO_PALLET'=>$stock['NO_PALLET'],'UB_DESTINO'=>$pick['CLAVEUBICACION'], 'REPOSICION'=>$pick['TIPO_RESURTIDO'].'s','CANTIDAD'=> $ncajas,'PIEZASXCAJA'=>$stock['PIEZASXCAJA'],'PASILLO_ORIGEN'=> (strtok($stock['UBICACION'],"-")),'LADO_ORIGEN'=> (strtok("-")),'POS_X_ORIGEN'=> (strtok("-")),'POS_Y_ORIGEN'=> (strtok("-")),'CVE_UBICACION_ORIGEN'=> $stock['UBICACION'],'PASILLO_DESTINO'=> $pick['PASILLO'],'LADO_DESTINO'=> $pick['LADO'],'POS_X_DESTINO'=> $pick['X'],'POS_Y_DESTINO'=> $pick['Y'],'CVE_UBICACION_DESTINO'=> $pick['CLAVEUBICACION'],'DESCRIPCION'=>$stock['DESCRIPCION']);$nt++;}
					}else{
					$toma=floor(($disponibles)/$stock['PIEZASXCAJA'])*$stock['PIEZASXCAJA'];
					$ncajas=floor($toma/$stock['PIEZASXCAJA']);
					$carga+=$toma;
					if($pick['TIPO_RESURTIDO']=='Pieza'){$ncajas=$ncajas*$stock['PIEZASXCAJA'];}
					if($toma>0){$tareas[$nt]=array('ID_REG'=>$stock['ID'],'PRIORIDAD'=> $pick['PRIORIDAD'], 'SKU' => $pick['SKU'],'NO_PALLET'=>$stock['NO_PALLET'],'UB_DESTINO'=>$pick['CLAVEUBICACION'], 'REPOSICION'=>$pick['TIPO_RESURTIDO'].'s','CANTIDAD'=> $ncajas,'PIEZASXCAJA'=>$stock['PIEZASXCAJA'],'PASILLO_ORIGEN'=> (strtok($stock['UBICACION'],"-")),'LADO_ORIGEN'=> (strtok("-")),'POS_X_ORIGEN'=> (strtok("-")),'POS_Y_ORIGEN'=> (strtok("-")),'CVE_UBICACION_ORIGEN'=> $stock['UBICACION'],'PASILLO_DESTINO'=> $pick['PASILLO'],'LADO_DESTINO'=> $pick['LADO'],'POS_X_DESTINO'=> $pick['X'],'POS_Y_DESTINO'=> $pick['Y'],'CVE_UBICACION_DESTINO'=> $pick['CLAVEUBICACION'],'DESCRIPCION'=>$stock['DESCRIPCION']);$nt++;}
					}
			}		
			//Piezas Sueltas faltantes
			if($carga<$cantp){
			$pres=$cantp-$carga;
			$X="SELECT * FROM tabla_inventario where ID!='$pick[INVID]' AND SKU='$pick[SKU]' AND CANTIDAD>0 AND EDO_CALIDAD='$estcalidad' AND CVE_BODEGA='$CveCueCR1' AND CVE_CUENTA='$CveCueCR1' AND TIPO_UBICACION!='PICKING' ORDER BY FIELD(TIPO_UBICACION,'STOCK','STAYING'),CANTIDAD DESC";
			$a= mysql_query($X);
			if(mysql_num_rows($a)>0){
				while($stp=mysql_fetch_array($a)){
				$tomap=0;
				$pzas = $stp['CANTIDAD'] - (floor($stp['CANTIDAD']/$stp['PIEZASXCAJA'])*$stp['PIEZASXCAJA']);
				if ($pzas>=$pres AND $pres>0){
					$tomap=$pres;
					$pres=0;
					$exist=false;			
					$X=0;
					foreach($tareas as $key => $product){
					if ($product['NO_PALLET'] === $stp['NO_PALLET']){
					if($tareas[$X]['REPOSICION']=='Cajas'){$tareas[$X]['CANTIDAD'] = ($tareas[$X]['CANTIDAD']*$tareas[$X]['PIEZASXCAJA'])+$tomap;$tareas[$X]['REPOSICION']="Piezas";}
					else{$tareas[$X]['CANTIDAD']= $tareas[$X]['CANTIDAD']+$tomap;}
					$exist=true;
					break;
					}
					$X++;
					}

					if(!$exist){$tareas[$nt]=array('ID_REG'=>$stp['ID'],'PRIORIDAD'=> $pick['PRIORIDAD'], 'SKU' => $pick['SKU'],'NO_PALLET'=>$stp['NO_PALLET'],'UB_DESTINO'=>$pick['CLAVEUBICACION'], 'REPOSICION'=>'Piezas','CANTIDAD'=> $pzas,'PIEZASXCAJA'=>$stp['PIEZASXCAJA'],'PASILLO_ORIGEN'=> (strtok($stp['UBICACION'],"-")),'LADO_ORIGEN'=> (strtok("-")),'POS_X_ORIGEN'=> (strtok("-")),'POS_Y_ORIGEN'=>(strtok("-")),'CVE_UBICACION_ORIGEN'=> $stp['UBICACION'],'PASILLO_DESTINO'=> $pick['PASILLO'],'LADO_DESTINO'=> $pick['LADO'],'POS_X_DESTINO'=> $pick['X'],'POS_Y_DESTINO'=> $pick['Y'],'CVE_UBICACION_DESTINO'=> $pick['CLAVEUBICACION'],'DESCRIPCION'=>$stp['DESCRIPCION']);$nt++;}
						}
				else{
				if($pres>0){
				$tomap=$pzas;
				$pres=$pres-$pzas;
					$exist=false;			
					$X=0;
					foreach($tareas as $key => $product){
					if ($product['NO_PALLET'] === $stp['NO_PALLET']){
					if($tareas[$X]['REPOSICION']=='Cajas'){$tareas[$X]['CANTIDAD']= ($tareas[$X]['CANTIDAD']*$tareas[$X]['PIEZASXCAJA'])+$tomap;$tareas[$X]['REPOSICION']="Piezas";}
					else{$tareas[$X]['CANTIDAD']= $tareas[$X]['CANTIDAD']+$tomap;}
					$exist=true;
					break;
					}
					$X++;
					}
					if(!$exist){$tareas[$nt]=array('ID_REG'=>$stp['ID'],'PRIORIDAD'=> $pick['PRIORIDAD'], 'SKU' => $pick['SKU'],'NO_PALLET'=>$stp['NO_PALLET'],'UB_DESTINO'=>$pick['CLAVEUBICACION'], 'REPOSICION'=>'Piezas','CANTIDAD'=> $pzas,'PIEZASXCAJA'=>$stp['PIEZASXCAJA'],'PASILLO_ORIGEN'=> (strtok($stp['UBICACION'],"-")),'LADO_ORIGEN'=> (strtok("-")),'POS_X_ORIGEN'=> (strtok("-")),'POS_Y_ORIGEN'=>(strtok("-")),'CVE_UBICACION_ORIGEN'=> $stp['UBICACION'],'PASILLO_DESTINO'=> $pick['PASILLO'],'LADO_DESTINO'=> $pick['LADO'],'POS_X_DESTINO'=> $pick['X'],'POS_Y_DESTINO'=> $pick['Y'],'CVE_UBICACION_DESTINO'=> $pick['CLAVEUBICACION'],'DESCRIPCION'=>$stp['DESCRIPCION']);$nt++;}
		}}
			}}}}}}

				/////////Identificar el prefijo configurado
				$sqlIDE1 = mysql_query("select * from wms_configura_tarearesurtido WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlIDE1)>0){
				$registroIDE1=mysql_fetch_array($sqlIDE1);
				}
				if (mysql_numrows($sqlIDE1)>0)
				{
				$PrefijoPal=$registroIDE1["PREFIJO"];
				}
				$actualiz = 0;
				$err = 0;
				$X=0;
				
				foreach($tareas as $key=>$ta){
				
				$enejecucion = mysql_query("select * from tabla_resurtidopicking where CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND PRIORIDAD='".$tareas[$X]['PRIORIDAD']."' AND ESTADO='EN EJECUCION' AND CVE_UBICACION_ORIGEN='".$tareas[$X]['CVE_UBICACION_ORIGEN']."' AND CVE_UBICACION_DESTINO='".$tareas[$X]['CVE_UBICACION_DESTINO']."' AND SKU='".$tareas[$X]['SKU']."' AND NO_PALLET='".$tareas[$X]['NO_PALLET']."'");
				if (mysql_numrows($enejecucion)==0){
				
				$actualizar = mysql_query("SELECT ID from tabla_resurtidopicking where CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND PRIORIDAD='".$tareas[$X]['PRIORIDAD']."' AND (ESTADO='EN ESPERA' OR ESTADO='EN ESPERA RESERVADO') AND CVE_UBICACION_ORIGEN='".$tareas[$X]['CVE_UBICACION_ORIGEN']."' AND CVE_UBICACION_DESTINO='".$tareas[$X]['CVE_UBICACION_DESTINO']."' AND SKU='".$tareas[$X]['SKU']."' AND NO_PALLET='".$tareas[$X]['NO_PALLET']."'");
				if(mysql_num_rows($actualizar)>0){$actualiz+=1;}
				
				$enespera = mysql_query("delete from tabla_resurtidopicking where CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND PRIORIDAD='".$tareas[$X]['PRIORIDAD']."' AND (ESTADO='EN ESPERA' OR ESTADO='EN ESPERA RESERVADO') AND CVE_UBICACION_ORIGEN='".$tareas[$X]['CVE_UBICACION_ORIGEN']."' AND CVE_UBICACION_DESTINO='".$tareas[$X]['CVE_UBICACION_DESTINO']."' AND SKU='".$tareas[$X]['SKU']."' AND NO_PALLET='".$tareas[$X]['NO_PALLET']."'");
				
					//////Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = date('Ymd'); // debuelve la fecha del pallet origina
					
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consedocrespick WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}

				/////Generador de Folio para guardar el consecutivo del Pallet
				$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consedocrespick"; 
				$libP2 = mysql_query($sqlIDP2); 
				$rs_libP2 = mysql_fetch_assoc($libP2); 
				$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
								
				/////Guardar en la BD el consecutivo del No. de Pallet
				$sqlGCP = "insert tabla_consedocrespick (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA) values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$ClavePallet','$FechaPallet')";
				$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());

				$w = "select max(ID) as LAST from tabla_resurtidopicking"; 
				$ss = mysql_query($w); 
				$hd = mysql_fetch_assoc($ss); 
				$maxid = $hd['LAST'] + 1;

				$Hora=time();
				$HoraOK=date("H:i:s",$Hora);
				
				$mys = "INSERT INTO  tabla_resurtidopicking VALUES ('$maxid' ,'$CveBodCR1' ,'$CveCueCR1' ,'$ClavePallet' ,'".$tareas[$X]['PRIORIDAD']."' ,'EN ESPERA RESERVADO' , '".$tareas[$X]['PASILLO_ORIGEN']."' ,'".$tareas[$X]['LADO_ORIGEN']."' ,'".$tareas[$X]['POS_X_ORIGEN']."' ,'".$tareas[$X]['POS_Y_ORIGEN']."' , '".$tareas[$X]['CVE_UBICACION_ORIGEN']."' , '".$tareas[$X]['SKU']."' , '".$tareas[$X]['DESCRIPCION']."' , '".$tareas[$X]['REPOSICION']."' , '".$tareas[$X]['NO_PALLET']."' , '".$tareas[$X]['CANTIDAD']."' , '$UsuEn' ,'".date("Y/m/d")."' ,'$HoraOK' ,'".$tareas[$X]['PASILLO_DESTINO']."' ,'".$tareas[$X]['LADO_DESTINO']."' ,'".$tareas[$X]['POS_X_DESTINO']."' ,'".$tareas[$X]['POS_Y_DESTINO']."' ,'".$tareas[$X]['CVE_UBICACION_DESTINO']."' ,'' ,'' ,'' ,'')";
			
				$libP2 = mysql_query($mys); 
				if(!$libP2){$err+=1;}
				}
				else{$err+=1;}
				$X++;}
				if($err>0){
					//echo"<script>alert('Se han registrado ".($X-$err-$actualiz)." nuevas tareas de resurtido picking y se han actualizado $actualiz.\\n$err Tareas fueron excluidas por haber tareas similares en ejecución.')</script>";
					}
				else{
					//echo"<script>alert('Se han registrado ".($X-$actualiz)." nuevas tareas de resurtido picking y se han actualizado $actualiz.')</script>";
					}
				if( (($X-$err-$actualiz)>0) OR ($actualiz>0) ){
				//Ir a resurtir picking
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-Resurtidopicking.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NDocKp=$NoDocSuEn&EtMastKp=$EtMasterEn&sku=$SkuAS&ubic=$ubic&lote=$lote&lotep=$lotep&ret=$ret'>";
					}else{
				//regresar
				echo "<script>alert('No se pudieron crear las tareas.')</script>";
					}
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
		<p>Generando resurtido...</p>
		<!--<a href='<?php echo "5-SurtidoContinuoFifo4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn";?>'><button>ok</button><a>
		<a href='<?php echo "5-SurtidoContinuoFifo6.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NDocKp=$NoDocSuEn&EtMastKp=$EtMasterEn&ubic=$ubic";?>'><button>retry</button><a>--!>
      <!-- Termina Cuerpo de la Pantalla -->		
  </div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
